/* *****************************************************************************
 *
 * Filename: CalendarCoversheetPanel.java
 *
 * Author:   Robert Thornburrow
 * Project:  CalendarMaker
 * Created:  10 February 2003
 *
 * Purpose:  CalendarPanel laid out as a simple coversheet for a calendar.
 *
 * (c) Copyright R.H.Thornburrow, 2003
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *****************************************************************************/

package com.tsac.calmaker;

/**
 *
 * @author  Robert
 */
public class CalendarCoversheetPanel
    extends com.tsac.calmaker.CalendarPanel
{
    /** Creates new form BeanForm */
    public CalendarCoversheetPanel()
    {
        initComponents();
        
        setActualSize( 545, 742 );
    }
    
    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    private void initComponents()//GEN-BEGIN:initComponents
    {
        java.awt.GridBagConstraints gridBagConstraints;

        staticImage1 = new com.tsac.calmaker.beans.StaticImage();
        staticImage2 = new com.tsac.calmaker.beans.StaticImage();
        staticImage3 = new com.tsac.calmaker.beans.StaticImage();
        staticImage4 = new com.tsac.calmaker.beans.StaticImage();
        staticTitle2 = new com.tsac.calmaker.beans.StaticTitle();
        yearTitle1 = new com.tsac.calmaker.beans.YearTitle();
        staticTitle1 = new com.tsac.calmaker.beans.StaticTitle();

        setLayout(new java.awt.GridBagLayout());

        staticImage1.setImage("images/january.jpg");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(64, 64, 0, 0);
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        add(staticImage1, gridBagConstraints);

        staticImage2.setImage("images/february.jpg");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 0;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(64, 0, 0, 64);
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        add(staticImage2, gridBagConstraints);

        staticImage3.setImage("images/march.jpg");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(0, 64, 0, 0);
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        add(staticImage3, gridBagConstraints);

        staticImage4.setImage("images/april.jpg");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 1;
        gridBagConstraints.gridy = 1;
        gridBagConstraints.fill = java.awt.GridBagConstraints.BOTH;
        gridBagConstraints.insets = new java.awt.Insets(0, 0, 0, 64);
        gridBagConstraints.weightx = 1.0;
        gridBagConstraints.weighty = 1.0;
        add(staticImage4, gridBagConstraints);

        staticTitle2.setJustification(1);
        staticTitle2.setText("Calendar");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 2;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.insets = new java.awt.Insets(16, 0, 0, 0);
        add(staticTitle2, gridBagConstraints);

        yearTitle1.setJustification(1);
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 3;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.insets = new java.awt.Insets(0, 0, 64, 0);
        gridBagConstraints.weightx = 1.0;
        add(yearTitle1, gridBagConstraints);

        staticTitle1.setFont(new java.awt.Font("SansSerif", 0, 10));
        staticTitle1.setText("(c) Copyright Taurus Software, 2003");
        gridBagConstraints = new java.awt.GridBagConstraints();
        gridBagConstraints.gridx = 0;
        gridBagConstraints.gridy = 4;
        gridBagConstraints.gridwidth = 2;
        gridBagConstraints.anchor = java.awt.GridBagConstraints.EAST;
        add(staticTitle1, gridBagConstraints);

    }//GEN-END:initComponents
    
    public int getNumPagesWidth()
    {
        return 1;
    }
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private com.tsac.calmaker.beans.YearTitle yearTitle1;
    private com.tsac.calmaker.beans.StaticTitle staticTitle2;
    private com.tsac.calmaker.beans.StaticTitle staticTitle1;
    private com.tsac.calmaker.beans.StaticImage staticImage4;
    private com.tsac.calmaker.beans.StaticImage staticImage3;
    private com.tsac.calmaker.beans.StaticImage staticImage2;
    private com.tsac.calmaker.beans.StaticImage staticImage1;
    // End of variables declaration//GEN-END:variables
    
}
