/*
 * EditorBase.java
 *
 * Created on 04 February 2003, 20:14
 */

package com.tsac.calmaker.beans;

import java.awt.event.*;
import javax.swing.event.EventListenerList;

/**
 *
 * @author  Robert
 */
public abstract class EditorBase
    extends javax.swing.JPanel
{
    // State
    protected EventListenerList _listenerList;
    
    /** Creates a new instance of EditorBase */
    public EditorBase()
    {
    }
    
    
    /**
     * Sneaky implementation which enables/disables all child components without
     * actually knowing what they are.
     */
    public void setEnabled( boolean enabled )
    {
        super.setEnabled( enabled );
        
        for( int n = this.getComponentCount() - 1; n >= 0; n-- )
            this.getComponent( n ).setEnabled( enabled );
    }
    
    
    public void addActionListener( ActionListener l )
    {
        if( _listenerList == null )
            _listenerList = new EventListenerList();
        
        _listenerList.add( ActionListener.class, l );
    }
    
    public void removeActionListener( ActionListener l )
    {
        if( _listenerList != null )
            _listenerList.remove( ActionListener.class, l );
    }
    
    public ActionListener[] getActionListeners()
    {
        return (ActionListener[]) _listenerList.getListeners( ActionListener.class );
    }
    
    
    protected void fireActionEvent( ActionEvent e )
    {
        if( _listenerList == null )
            return;
            
        Object[] listeners = _listenerList.getListenerList();

        for( int i = listeners.length-2; i >= 0; i -= 2 )
        {
            if( listeners[i] == ActionListener.class )
                ((ActionListener) listeners[i+1]).actionPerformed( e );
        }
    }
}
